package com.ruoyi.system.mapper_shate;

import com.ruoyi.system.domain_shate.LandUse;
import com.ruoyi.system.domain_shate.VegetationHealth;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:19
 */

public interface LandUseMapper {

    List<LandUse> sqlSeeding(@Param("zone") String zone,
                             @Param("landUses") String[]landUses,
                             @Param("year") String year);

    List<LandUse> sqlSeeding1(@Param("zone") String zone,
                             @Param("year") String year);

    List<LandUse> sqlYear();

    Integer insertSeeding(LandUse use);
}
